> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leanpay.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a tag

> Update a client property tag



## OpenAPI

````yaml https://public.leanpay.fr/openapi/leanpay_api_documentation.swagger.yaml put /client-properties/{clientPropertyId}/tags/{tagId}
openapi: 3.1.1
info:
  version: 1.0.0
  title: LeanPay Api documentation
  contact:
    email: integration@leanpay.fr
servers:
  - url: https://api.leanpay.fr/v1/public
security: []
tags:
  - name: clients
    description: Routes related to clients
  - name: invoices
    description: Routes related to invoices
  - name: credit-notes
    description: Routes related to credit notes
  - name: misc-operations
    description: Routes related to misc operations
  - name: contacts
    description: Routes related to client contacts
  - name: addresses
    description: Routes related to client addresses
  - name: payments
    description: Routes related to invoice payments
  - name: portal-payments
    description: >-
      Routes related to portal payments (online payments made by debtors from
      the customer portal)
  - name: paybacks
    description: Routes related to credit note paybacks
  - name: links
    description: Routes related to invoice/credit note links
  - name: comments
    description: Routes related to comments
  - name: deleted-elements
    description: Routes related to deleted elements
  - name: client-properties
    description: Routes related to client properties
paths:
  /client-properties/{clientPropertyId}/tags/{tagId}:
    put:
      tags:
        - client-properties
      summary: Update a tag
      description: Update a client property tag
      parameters:
        - in: path
          name: clientPropertyId
          required: true
          schema:
            type: string
            format: uuid
          description: The ID of the client property
        - in: path
          name: tagId
          required: true
          schema:
            type: string
            format: uuid
          description: The ID for the new tag
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTagForClientPropertyRequest'
      responses:
        '201':
          description: Tag created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientPropertyTag'
        '400':
          description: >-
            Response sent when the tag object provided is invalid or client
            property ID/tag ID is invalid
        '404':
          description: Client property not found
      security:
        - authorization: []
components:
  schemas:
    CreateTagForClientPropertyRequest:
      type: object
      properties:
        label:
          type: string
          maxLength: 80
          minLength: 1
          description: The label of the tag to create
      required:
        - label
    ClientPropertyTag:
      type: object
      properties:
        id:
          type: string
          format: uuid
        label:
          type: string
          maxLength: 80
          minLength: 1
        color:
          type: string
          enum:
            - red
            - orange
            - green
            - lightBlue
            - blue
            - purple
            - pink
            - brown
            - grey
            - yellow
      required:
        - id
        - label
        - color
  securitySchemes:
    authorization:
      type: apiKey
      name: Authorization
      in: header

````